Subject: Re: bug#48406: 28.0.50; Emacs stuck in infinite loop in wait_reading_process_output when opening in fullscreen (NS)

From: Alan Third <[email-masked]>
Date: Thu, 13 May 2021 22:15:56 +0100

On Thu, May 13, 2021 at 10:39:55PM +0200, Illia Ostapyshyn wrote:
> When starting with
> 
>     (push '(fullscreen . fullboth) default-frame-alist)
> 
> in early-init.el, apparently Emacs get stuck in an infinite loop
> after calling [EmacsView waitFullScreenTransition]. Please see the
> attached backtrace. I also tried moving that command around: in
> init.el, in emacs-startup-hook, all yield the same result.
> 
> Toggling fullscreen after successful startup (by not trying to start
> in fullscreen) works ok. Also creating new frames with '(fullscreen
> . fullboth) in default-frame-alist works well.
> 
> Looks like this bug was introduced by bbc48b263485c26c6823eabdbbd7e9af62178e34

Hmm, I don't know what's going on. I guess it's waiting on the
fullscreen transition before Emacs has started up fully and that's
causing a problem?

Andrii, any ideas?
-- 
Alan Third